Bug 203606 - devel/git CONTRIB option pulls in DocBook
Summary: devel/git CONTRIB option pulls in DocBook
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-07 07:56 UTC by Poul-Henning Kamp
Modified: 2017-09-08 20:48 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (garga)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Poul-Henning Kamp freebsd_committer 2015-10-07 07:56:47 UTC
The optional CONTRIB option to the devel/git port pulls in DocBook as a dependency.

It should be disabled when whatever NOPORTDOCS is named these days indicates that people want to avoid that sort of stuff.
Comment 1 commit-hook freebsd_committer 2016-12-02 10:35:48 UTC
A commit references this bug:

Author: garga
Date: Fri Dec  2 10:35:22 UTC 2016
New revision: 427549
URL: https://svnweb.freebsd.org/changeset/ports/427549

Log:
  When CONTRIB option is ON a good number of extra dependencies is added
  (asciidoc, docbook-xml) but they are only used to build git-subtree
  manpage and html doc.

  Created a new option SUBTREE to make it possible to install all CONTRIB
  code except git-subtree and remove extra dependencies from CONTRIB option

  PR:		203606
  Submitted by:	phk@

Changes:
  head/devel/git/Makefile
  head/devel/git/pkg-plist
Comment 2 Renato Botelho freebsd_committer 2016-12-02 10:37:08 UTC
asciidoc is used to produce git-subtree manpage, what is not considered part of DOCS.

I created this new option to make it easy to have contrib files installed skipping git-subtree, that should help
Comment 3 Renato Botelho freebsd_committer 2016-12-08 17:12:14 UTC
I believe this is enough to consider issue fixed
Comment 4 Bryan Drewery freebsd_committer 2017-09-08 20:48:59 UTC
This had an impact on devel/git-lite as well.  It excludes CONTRIB but not
the new SUBTREE.  Is that intended?